/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.financial.settlement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.financial.settlement.entity.CostCheck;
import com.jeeplus.modules.sg.financial.settlement.entity.DonorMaterial;
import com.jeeplus.modules.sg.financial.settlement.entity.ProjectBudget;
import com.jeeplus.modules.sg.managementcenter.materialproject.entity.MaterialProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author user3
 * @date 2020-11-24
 * 财费用检查表mapper
 * */
@MyBatisMapper
public interface DonorMaterialMapper extends BaseMapper<DonorMaterial> {
    /**
     * 项目甲供材(批量导入插入)
     * @param list 导入参数
     * @return 成功导入的条数
     * */
    int insertList(@Param("list") List<DonorMaterial> list);
    /*

    *//**
     * 费用检查信息(批量导入更新)
     * @param list 导入参数
     * @return 成功导入的条数
     * *//*
    int updateList(@Param("list") List<DonorMaterial> list);*/



    /**
     * 通过项目编号查询所有项目存在的信息返回，判断是否存在
     * @param list 存在查询用projectId
     * @return 存在的项目编号
     * */
    List<DonorMaterial> findByList(@Param("list") List<DonorMaterial> list);

    /**
     * 通过项目编号查询项目是否存在
     * @param projectId 项目编号
     * @return 甲供材信息
     * */
    int findByProjectId(String projectId);

    /**
     * 通过项目编号删除同一项目下的甲供信息
     * @param projectId 项目编号
     * @return 成功删除的条数
     * */
    int delByProjectId(String projectId);

    /**
     * 通过项目甲供材项目id修改该项目的甲供材信息
     * @param donorMaterial id及备注
     * @return 更新成功的条数
     * */
    int updateRemarks(DonorMaterial donorMaterial);

    /**
     * 查找甲供物资超欠供说明
     * @return 甲供超欠供说明
     */
    List<DonorMaterial> findALLRemarks(DonorMaterial donorMaterial);


}